Connection
Bidirectional voice agent session. Connect with ?token={jwt} where the JWT is obtained from POST /v1/session-token.
{
"type": "<string>",
"data": {
"audio": "<string>"
}
}{
"type": "<string>",
"data": {
"toolCallId": "<string>",
"output": "<string>"
}
}{
"type": "<string>"
}{
"type": "<string>",
"data": {
"id": "<string>"
}
}{
"type": "<string>",
"data": {
"turn_id": "<string>",
"audio": "<string>",
"is_final": true
}
}{
"type": "<string>",
"data": {
"turn_id": "<string>",
"text": "<string>",
"is_final": true
}
}{
"type": "<string>",
"data": {
"transcript": "<string>",
"turn_id": "<string>",
"is_final": true
}
}{
"type": "<string>",
"data": {
"emulated": true
}
}{
"type": "<string>"
}No examples found{
"type": "<string>"
}No examples foundClient sends captured audio to the server (base64).
Client sends the result of a tool call requested by the server.
Discriminated by type; payload in data. One of: session_started, response_audio, response_text, input_audio_transcript, speech_started, speech_stopped, session_ended, interruption, tool_call.
Sent when the call session has started.
Streamed TTS audio chunk for the current turn.
Agent text for the current turn; may repeat or refine while is_final is false.
User speech transcript from STT; false is_final for interim hypotheses.
Sent when user speech (VAD) has started.
Sent when user speech (VAD) has stopped.
Sent when the call session has ended.
Sent when user has interrupted the agent.
Server requests the client to execute a tool and respond with tool_call_output.
{
"type": "<string>",
"data": {
"audio": "<string>"
}
}{
"type": "<string>",
"data": {
"toolCallId": "<string>",
"output": "<string>"
}
}{
"type": "<string>"
}{
"type": "<string>",
"data": {
"id": "<string>"
}
}{
"type": "<string>",
"data": {
"turn_id": "<string>",
"audio": "<string>",
"is_final": true
}
}{
"type": "<string>",
"data": {
"turn_id": "<string>",
"text": "<string>",
"is_final": true
}
}{
"type": "<string>",
"data": {
"transcript": "<string>",
"turn_id": "<string>",
"is_final": true
}
}{
"type": "<string>",
"data": {
"emulated": true
}
}{
"type": "<string>"
}No examples found{
"type": "<string>"
}No examples found
